import { AuthServiceService } from './auth-service.service';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { NgxSpinnerService } from 'ngx-spinner';
import { ToastrService } from 'ngx-toastr';

@Injectable({
  providedIn: 'root'
})
export class EventService {

  constructor(private http: HttpClient, 
    private spinner: NgxSpinnerService, 
    private toastr: ToastrService, 
    private authService: AuthServiceService) { }

  //get hospitals list 
  getEventsList(pageId: number, currentPage: number, dataTableNumber: number){
    this.spinner.show();
    console.log(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
    return this.http.get(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
  }

   //get data user from searchBar 
   getDataUSerSearchBar(data, pageId, pagenationNumber, dataTableNumber) {
    console.log('url', this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
     return this.http.get(this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
  }

  //addEvent
  addEvent(dataEvent) {
    return this.http.post(this.authService.pathApi + '/add_event' , dataEvent);
  }

  //edit event
  editEvent( dataRoleEdit,EditRoleId){
    const editData = dataRoleEdit;
    editData.id = EditRoleId;
    console.log(editData);
    return this.http.post(this.authService.pathApi + '/edit_event', editData);
  }

  //get event data
  getEventData(eventId: number) {
    return this.http.get(this.authService.pathApi + '/get_event/' + eventId);
  }

  //delete event 
  deleteEvent(eventsIds) {
    console.log(eventsIds);
    return this.http.post(this.authService.pathApi + '/delete_events' , {'events_id' : eventsIds});
  };

}
